Is there a way to get JPatch 1.52 working on my PPC?

Report any Bugs you've found in JPatch here. IMPORTANT:Please post bugs found in a beta or development version into the Beta forum!

Is there a way to get JPatch 1.52 working on my PPC?

Postby siebeneicher » Wed Apr 26, 2006 9:51 pm

Hi.

I tried to get JPatch working on my ppc-Machine. And failed ...

Without the function of inserting points in Curves, there is no real way to create complex objects.

Mmh. I couldn't compile the JPatch-1.4 and correct the 'INS'-Button, because I am not familiar with Java.
There have been enough Error-Reportings to design the walls in my chamber.

So I tryed to use JPatch 1.52 ...

... (1)
Now I found out, that there is no way to install JPatch 5.2 on OSX 10.3 (Panther) because I could not update Java ... I have to get a fully new OSX. Grrrr ...

... (2)
However, I installed Ubuntu -Lunux on my powerpc. And I found, there is no way to install the Sun-JRE.
Because:
there is no Sun-JRE for Linux-PPC at all ... :shock:

I found out there is some 'Blackdown'-JRE, whicht try to port (Sun-compatible) JRE on Linux-PPC.
The newest JRE version which could be downloaded from 'Blackdown' is JDK-1.4.2.

Probably, I will never get the nevest JPatch working on my PPC, because it make use of Sun's JDK. (Unless I buy the newest OSX ... Or sun releases JRE for Linux-PPC)

---
Leonard Siebeneicher


---
Used OS:
:( Ubuntu Dapper-Drake for PPC (Beta release)
:( OSX 10.3 Panther
:( ... I do not know where to continue. And I won't go though all PPC-OS's to get jPatch running...
siebeneicher
 
Posts: 6
Joined: Sat Mar 25, 2006 9:46 pm

Postby sascha » Thu Apr 27, 2006 8:40 am

It's true that the latest versions of JPatch require Java 1.5 - and I've also heard from several people that you have to upgratde OS-X (i.e. buy the latest version) to use Java 1.5 (which is rediculous, when I hear all that, I'm glad that I don't have a Mac).

The development version of JPatch already has fully configurable keyboard shortcuts, but - as I said - requires Java 1.5.
I will try to use a tool to compile it for Java 1.4, but that's not on top of the priority list.

What I can offer is this: Let me know which key you'd prefere, and I'll upload a modified version of JPatch 0.4 (which runs on Java 1.4), so you can try it on your computer.
sascha
Site Admin
 
Posts: 2792
Joined: Thu May 20, 2004 9:16 am
Location: Austria

Postby sascha » Fri Apr 28, 2006 12:38 pm

Retroweaver seems to work well, but it's still not easy to keep the code 1.4 compatible (see this post).

When I release the next development snapshot (0.5.3) I'll also make a Java 1.4 compatible version available (and yes, it supports user-configurable keyboard-accelerators). I plan to keep it 1.4 compatible until at least JPatch 0.6, but can't promise anything :?
sascha
Site Admin
 
Posts: 2792
Joined: Thu May 20, 2004 9:16 am
Location: Austria

Postby siebeneicher » Sat Apr 29, 2006 10:00 am

Thank's for your reply. :)

I'm very worried about the open source support under OSX ... so I switched to Ubuntu Linux. :roll:

-
You wrote ...
The latest Ubuntu (5.10) distribution (and I assume Kubuntu as well) came with GCJ - the Gnu Java compiler and runtime.
While this is certainly cool (because it's a really free and open-source Java environment), it is still not 100% compatible with Sun's JRE, and IIRC support for Java 1.5 is still pretty poor.

To run JPatch, I recommend (at this time) downloading and installing the latest JRE from Sun Microsystems - a linux version is available.

I'm running Ubuntu and have multimple JREs installed - I have them all in /opt, with a symlink "java" pointing to the one I'm currently using - and /opt/java/bin in my path...


Probably there is hope to get JPatch working with gij?

-
What I can offer is this: Let me know which key you'd prefere, and I'll upload a modified version of JPatch 0.4 (which runs on Java 1.4), so you can try it on your computer


Oh ... It's nice you want to help me.
You needn't to promise me anything. :)

Mmh. "Shift I" or "Ctrl I" would do it. Thank's you a lot. :)

Gruß,
Siebeneicher
siebeneicher
 
Posts: 6
Joined: Sat Mar 25, 2006 9:46 pm

Postby sascha » Sat Apr 29, 2006 10:36 am

I've seen that there's a Linux (PPC) JRE available from IBM

Under "IBM 32-bit SDK for Linux on iSeries and pSeries architecture, Java 2 Technology" there's a "ibm-java2-jre-50-linux-ppc.tgz" available - I don't know if it will work on a Mac, but I've sucessfully tested JPatch with the Linux (Intel) version of IBM's 5.0 JRE under Ubuntu, so it's definitely worth a try.

As for GCJ - JPatch extensively uses the AWT and Swing, so until both APIs are fully supported by Gnu Classpath, JPatch won't run.

I'll upload a modified JPatch 0.4 version after the weekend - and as I said before, Retroweaver seems to work well, so I plan to release a Java 1.4 compatible version of the next development snapshot (0.5.3).
sascha
Site Admin
 
Posts: 2792
Joined: Thu May 20, 2004 9:16 am
Location: Austria

Postby sascha » Tue May 02, 2006 8:51 pm

I've uploaded a slightly modified version of JPatch 0.4.
You can download it from here:

http://www.jpatch.com/temp/jpatch_0_4_osx.jar

It's got "I" as default for INSERT and the old keymapping editor (that might not work) enabled.

Let me know if it works.
sascha
Site Admin
 
Posts: 2792
Joined: Thu May 20, 2004 9:16 am
Location: Austria

Postby siebeneicher » Mon May 15, 2006 11:57 pm

Oh. Thanks.

I'm sorry that I've realized it late.
siebeneicher
 
Posts: 6
Joined: Sat Mar 25, 2006 9:46 pm

Re: Is there a way to get JPatch 1.52 working on my PPC?

Postby anellyex » Thu Jun 11, 2009 7:30 am

Is there another type of Java besides Sun Java? If so, which should I install? And why on some computers after using the install Java link do I get that annoying tray icon and the "loading circle", while on others it just looks normal? Is those because those computers are using a Java put out by a company other then Sun Microsystems?
________________________
external keyword tool ~ keyworddiscovery.com ~ keycompete.com ~ compete.com ~ webmasterworld.com
anellyex
 
Posts: 1
Joined: Tue Jun 09, 2009 11:36 am

Re: Is there a way to get JPatch 1.52 working on my PPC?

Postby sascha » Thu Jun 25, 2009 3:51 pm

If PPC means Power-PC I assume you're using a Mac - in this case you'll have to use the Java versions provided by Apple. Note that Java 5.0 is only supported in Tiger (10.4) and above.

I usually test with the JVMs from Sun, Apple and OpenJDK. Anyway, the patch based versions of JPatch have been discontinued, the only "stable" version is JPatch 0.4.
Versions 0.5.x have many severe bugs which I won't fix - the next version of JPatch will be based on Catmull Clark subdivision surfaces. There is no version 1.52...
sascha
Site Admin
 
Posts: 2792
Joined: Thu May 20, 2004 9:16 am
Location: Austria


Return to Bugs

Who is online

Users browsing this forum: No registered users and 1 guest

cron